メインコンテンツにスキップ

ファブリックポートによるインターネットアクセスのご注文

Equinix Internet Access(EIA)は、複数のTier-1インターネットサービスプロバイダ(ISPs)とEquinixインターネットエクスチェンジ(IX)を使用して混合インターネットアクセスを提供し、高可用性、信頼性、高速性を実現します。

  • お客様のFabricポートとEquinix Internet Accessサービスプロファイル間のFabric接続は無料で提供されます。
  • インターネットアクセスサービスインスタンスのプロビジョニングを解除すると、関連するファブリック接続もプロビジョニング解除されます。
  • インターネットアクセスサービスインスタンスのプロビジョニングに問題がある場合、関連するFabric接続は自動的にプロビジョニング解除されます。

Equinix Internet Access with Fabricは、Equinix IDおよびアクセス管理にオンボーディングされている組織で利用でき、APIリクエストの送信に使用するアカウントには役割が必要です。Equinix Fabric Manager

お客様の組織がEquinix IDおよびアクセス管理にオンボーディングされていない場合は、専用ポートでEquinix Internet Accessをオーダーできます。

前提条件​

  1. 認証 - OAuth2用のユーザー認証情報、クライアントID、クライアントシークレットを送信します。 認証。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「API認証」を参照してください。

  2. Aサイド情報を決定する。Fabricポート情報を取得するには、エンドポイントにリクエストを/fabric/v4/ports送信します。GETポートUUID、リンクプロトコルタイプ(Dot1QまたはQinQ)が必要です。冗長接続を作成する場合は、ポートとSECONDARYポートの両方を選択します。PRIMARYこの情報は、接続の作成リクエストに必要です。

  3. Zサイド情報を決定する。インターネットアクセスサービスプロファイルはタイプIA_PROFILEで、IDはです。32d81829-0bf8-45d5-84e2-7289a553dbb6サービスの都市圏の場所を決定するには、インターネットアクセスが利用可能な場所を見つけるためのリクエストを/internetAccess/v2/ibxsエンドポイントに送信します。GETインターネットアクセスサービスの発注には、この情報が必要です。

インターネットアクセス接続の作成​

インターネットアクセスサービスの接続を作成するには、エンドポイントにリクエストを/fabric/v4/connections送信します。POST接続はtypeです。IA_VC

オブジェクトにポート情報を入力します。これにはaSide以下が含まれます。

  • accessPoint.typeASCOLO

  • ポートのUUIDをに入力してくださいport.uuid

    Dot1qポートから接続する場合:

    • linkProtocolタイプDOT1Q
    • VLAN IDをに提供linkProtocol.vlanTag

    QinQポートから接続する場合:

    • linkProtocolタイプQINQ
    • 内部タグIDをに提供しますlinkProtocol.vlanCTag
    • 外部タグIDをに提供しますlinkProtocol.vlanSTag
  • 冗長接続を作成する場合は、2つのリクエストを行ってください。 1つのリクエストにはプライマリポートとがに設定され、PRIMARYもう1つのリクエストにはredundancy.priorityセカンダリポート とがredundancy.priorityに設定され、SECONDARY最初の接続のUUIDとして指定する必要があります。redundancy.group

オブジェクトにインターネットアクセスサービスプロファイルを提供します。これには、zSide次のものが含まれます。

  • accessPoint.type as SP.
  • profile.typeASIA_PROFILE
  • profile.uuid AS32d81829-0bf8-45d5-84e2-7289a553dbb6
  • metroCode 接続しているインターネットアクセスの都市圏の2文字の都市圏コードとして入力します。

サンプルcURLリクエスト:

プライマリ接続の例
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "PRIMARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<your_port_uuid>"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": <vlan_id>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
セカンダリ接続の例
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "SECONDARY",
"group": "<primary_connection_uuid>"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<your_port_uuid>"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": <vlan_id>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
重要

応答には、インターネットアクセスサービスの接続IDであるが含まれています。uuidインターネットアクセスサービスを発注するには、この接続UUIDが必要です。

プロバイダが割り当てられたIPブロックを使用した発注サービス​

インターネットアクセスサービスをオーダーするには、エンドポイントにリクエストを/internetAccess/v2/services送信します。POST

冗長性のために、サービスに2つの接続を作成した場合は、をに設定し、type``DUAL両方の接続IDSをアレイに提供します。connections サービスに対して単一の接続を作成した場合は、をにSINGLE設定typeし、接続IDをアレイに入力します。connections

routingProtocolオブジェクトで次を指定します。

  • routingProtocol.type``STATIC、DIRECT、、またはからのユーザーです。BGP
  • Equinix所有(PA) IPブロックを使用してサービスを発注する場合は、必要なIPブロックのサイズに値を設定してください。ipBlock.prefixLength
メモ

アジア太平洋地域のIBXデータセンターの1つにあるEIAサービスインスタンスを発注する場合は、PA IPv4ブロックの場合に備えて、オブジェクトにおよびquestions情報をipBlock追加してください。addressingPlans詳細については、APIリファレンスを参照してください。

スタティックルーティング​

スタティックルーティングに関するドキュメントは、こちらを参照してください。

サンプルcURLリクエスト:

APAC地域における単一静的サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>,
"addressingPlans": [
{
"afterThreeMonths": <number_of_ip_addresses_used_after_three_months>,
"immediate": <number_of_ip_addresses_used_instantly>,
"purpose": "<purpose_of_ip_block>",
"size": <number_of_ip_addresses_requested>
}
],
"questions": [
{
"answer": "YES",
"type": "PRIVATE_SPACE_CONSIDERED"
},
{
"answer": "NO",
"type": "REFUSED_PREVIOUSLY"
},
{
"answer": "NO",
"type": "RETURNING_ADDRESS_SPACE"
}
]
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアル・スタティック・サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

ダイレクトルーティング​

ダイレクトルーティングに関するドキュメントはこちらをご覧ください。

サンプルcURLリクエスト:

シングル・ダイレクト・サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアルダイレクトサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

BGPルーティング​

オブジェクトでBGP設定の詳細を指定しroutingProtocolます。

  • FULLでインターネット、、DEFAULT、FULL_DEFAULT、またはPARTIALにアドバタイズするルート。routingProtocol.exportPolicy
  • では、16ビットASNの場合はBITS_16、32ビットASNの場合はBITS_32をお客様に提供します。routingProtocol.customerAsnRange
  • 必要に応じて、にbgpauthKeyを入力します。routingProtocol.bgpAuthKey

BGPルーティングに関するドキュメントは、こちらをご覧ください。

サンプルcURLリクエスト:

シングルBGPサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "My Internet Access Service",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアルBGPサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

プロバイダ非依存IPブロックでの発注サービス​

独自のIPブロック(PI)を使用してサービスを発注する場合は、customerRoutes.prefix

スタティックルーティング​

サンプルcURLリクエスト:

シングル・スタティック・サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアル・スタティック・サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

ダイレクトルーティング​

オブジェクトのピアリング目的で使用できるIPブロックを指定します。peering 単一のサービスタイプの場合、アレイ内のIPアドレスを1つだけ指定します。equinixPeerIps デュアルサービスタイプの場合、アレイに2つのIPアドレスを入力し、フィールドにVRRP IPアドレスをequinixVRRPIp入力します。equinixPeerIps

サンプルcURLリクエスト:

シングル・ダイレクト・サービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアルダイレクトサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>",
"<peering_ip_address>"
],
"equinixVRRPIp": "<virtual_router_group_ip_address>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>",
"<peering_ip_address>"
],
"equinixVRRPIp": "<virtual_router_group_ip_address>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

BGPルーティング​

サンプルcURLリクエスト:

シングルBGPサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
デュアルBGPサービスの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

PAおよびPI IPブロックの注文サービス​

プロバイダ割り当て(PA)とプロバイダ独立(PI)の両方のIPブロックを使用してサービスを注文する場合は、適切なフィールドで2つ以上のカスタマー・ルート・オブジェクトを指定してください:

  • ipBlock.prefixLengthEquinix提供のIPブロック(PA)の場合。
  • customerRoutes.prefix独自のIPブロック(PI)を使用する場合。
重要

複数のIPブロックは、スタティックおよびBGPルーティングプロトコルでのみリクエストできます。

サンプルcURLリクエスト:

プロバイダ割当てIPブロックとプロバイダ非依存IPブロックの例
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
},
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
},
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'

リクエストの監視​

接続作成リクエストのステータスを表示するには、エンドポイントにリクエストをfabric/v4/connections/{connectionId}送信します。GET

インターネットアクセスサービスの詳細を表示するには、エンドポイントを使用します。internetAccess/v2/services/{serviceId}

Internet Accessサービスインスタンスのプロビジョニングに問題が発生した場合、関連接続は自動的にデプロビジョニングされます。

このページは役に立ちましたか?